Subject: bug#57007: closed (Re: bug#57007: 29.0.50; Pure space overflow warning)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Aug 2022 09:35:02 +0000

Your bug report

#57007: 29.0.50; Pure space overflow warning

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57007: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57007
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57007: 29.0.50; Pure space overflow warning
From: Arash Esbati <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Po Lu <[email-masked]>, [email-masked]
Date: Sat, 06 Aug 2022 11:33:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Sat, 06 Aug 2022 11:36:14 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> How much do you have to bump BASE_PURESIZE (in pursize.h) until the
>> warning goes away?
>
> I enlarged it, please see if that's enough for the MinGW64 build.

Thanks for the quick fix, the warning is gone now.  Closing.

Best, Arash

Subject: 29.0.50; Pure space overflow warning
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Fri, 05 Aug 2022 17:36:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I updated Emacs from master (5426f67006) and get the following in
splash:

  Warning Warning!!!  Pure space overflow    !!!Warning Warning
  (See the node Pure Storage in the Lisp manual for details.)

I'm not preloading any additional libraries or add additional features,
I build Emacs on Win10 with Mingw64 with a small script which looks like
this:

  git clean -fdx --exclude=ChangeLog
  ./autogen.sh &&              \
  CPPFLAGS='-DNDEBUG'          \
  CFLAGS='-O3 -g0 -pipe'       \
  LDFLAGS='-s -Wl,-s'          \
  ./configure                  \
  --host=x86_64-w64-mingw32    \
  --target=x86_64-w64-mingw32  \
  --build=x86_64-w64-mingw32   \
  --prefix=/z/path             \
  --with-jpeg                  \
  --with-gif                   \
  --with-xpm                   \
  --with-png                   \
  --with-tiff                  \
  --with-rsvg                  \
  --with-webp                  \
  --with-sqlite3               \
  --with-xml2                  \
  --with-gnutls                \
  --with-lcms2                 \
  --with-modules               \
  --with-threads               \
  --with-native-compilation    \
  --with-native-image-api      \
  --with-xdbe                  \
  --without-imagemagick        \
  --without-dbus               \
  --without-gconf              \
  --without-gsettings          \
  --without-compress-install   \
  --without-mailutils          \
  --without-pop  &&            \
  make && make install

Am I missing something?

Best, Arash